# AutoDeallocate< TYPE > Class Template Reference

`#include <XPath2MemoryManager.hpp>`

List of all members.

## Public Member Functions

| AutoDeallocate (xercesc::MemoryManager *mmgr, size_t size=sizeof(TYPE))
| AutoDeallocate (TYPE *p, xercesc::MemoryManager *mmgr)
| ~AutoDeallocate ()
TYPE & | operator * () const
TYPE * | operator-> () const
| operator TYPE * () const
TYPE * | get () const
TYPE * | adopt ()
void | set (TYPE *p)

### template<class TYPE>
class AutoDeallocate< TYPE >

## Constructor & Destructor Documentation

template<class TYPE>
AutoDeallocate< TYPE >::AutoDeallocate | ( | xercesc::MemoryManager * | mmgr,
|  | size_t | size = `sizeof(TYPE)`
| ) | `[inline]`

template<class TYPE>
AutoDeallocate< TYPE >::AutoDeallocate | ( | TYPE * | p,
|  | xercesc::MemoryManager * | mmgr
| ) | `[inline]`

template<class TYPE>
AutoDeallocate< TYPE >::~AutoDeallocate | ( |  | ) | `[inline]`

## Member Function Documentation

template<class TYPE>
TYPE* AutoDeallocate< TYPE >::adopt | ( |  | ) | `[inline]`

template<class TYPE>
TYPE* AutoDeallocate< TYPE >::get | ( |  | ) | const`[inline]`

template<class TYPE>
TYPE& AutoDeallocate< TYPE >::operator * | ( |  | ) | const`[inline]`

template<class TYPE>
AutoDeallocate< TYPE >::operator TYPE * | ( |  | ) | const`[inline]`

template<class TYPE>
TYPE* AutoDeallocate< TYPE >::operator-> | ( |  | ) | const`[inline]`

template<class TYPE>
void AutoDeallocate< TYPE >::set | ( | TYPE * | p | ) | `[inline]`

The documentation for this class was generated from the following file:

- XPath2MemoryManager.hpp